#
# Please do not update/rebuild/touch this package before asking first to mikala and/or neoclust
# This package is part of the KDE Stack.
#

%define rel 1


ExcludeArch:    armv5tl

Summary:        Common lib for kdepim
Name:           pimcommon
Version: 16.12.3
Epoch:          2
Release:        %mkrel %rel
License:        GPLv2+
Group:          System/Base
Source0:        http://fr2.rpmfind.net/linux/KDE/stable/plasma/%{name}-%{version}.tar.xz

URL:            https://www.kde.org/

BuildRequires:  kf5-macros
BuildRequires:  xsltproc
BuildRequires:  boost-devel

BuildRequires:  cmake(KF5Akonadi) >= 5.3.1
BuildRequires:  cmake(KF5AkonadiContact) >= 5.3.1
BuildRequires:  cmake(KF5AkonadiMime)
BuildRequires:  cmake(KF5I18n)
BuildRequires:  cmake(KF5Mime)
BuildRequires:  cmake(KF5IMAP)
BuildRequires:  cmake(KF5Contacts)
BuildRequires:  cmake(KF5Codecs)
BuildRequires:  cmake(KF5Wallet)
BuildRequires:  cmake(KF5DBusAddons)
BuildRequires:  cmake(KF5XmlGui)
BuildRequires:  cmake(KF5Config)
BuildRequires:  cmake(KF5Sonnet)
BuildRequires:  cmake(KF5Archive)
BuildRequires:  cmake(KF5NewStuff)
BuildRequires:  cmake(KF5KDELibs4Support)
BuildRequires:  cmake(KF5TextWidgets)
BuildRequires:  cmake(KF5Libkdepim) >= 5.3.0
BuildRequires:  cmake(KF5PimTextEdit)
BuildRequires:  cmake(Grantlee5)
BuildRequires:  cmake(KF5CalendarCore)

BuildRequires:  pkgconfig(Qt5Core)
BuildRequires:  pkgconfig(Qt5Widgets)
BuildRequires:  pkgconfig(Qt5Test)
BuildRequires:  pkgconfig(Qt5UiTools)
BuildRequires:  pkgconfig(Qt5Network)
BuildRequires:  pkgconfig(Qt5WebKitWidgets)
BuildRequires:  pkgconfig(Qt5Script)
BuildRequires:  pkgconfig(Qt5WebEngineWidgets)

%description
Common lib for kdepim.

%files
%_sysconfdir/xdg/pimcommon.categories
%_sysconfdir/xdg/pimcommon.renamecategories

#--------------------------------------------------------------------

%define kf5pimcommon_major 5
%define libkf5pimcommon %mklibname kf5pimcommon %{kf5pimcommon_major}

%package -n %libkf5pimcommon
Summary:        Common lib for kdepim
Group:          System/Libraries

Requires:       %name = %epoch:%version

%description -n %libkf5pimcommon
Common lib for kdepim.

%files -n %libkf5pimcommon
%_kf5_libdir/libKF5PimCommon.so.%{kf5pimcommon_major}*

#--------------------------------------------------------------------

%define kf5pimcommon_devel %mklibname kf5pimcommon -d

%package -n %kf5pimcommon_devel

Summary:        Devel stuff for %name
Group:          Development/KDE and Qt
Requires:       %libkf5pimcommon = %epoch:%version-%release
Provides:       %name-devel = %epoch:%{version}-%{release}

%description -n %kf5pimcommon_devel
This package contains header files needed if you wish to build applications
based on %name.

%files -n %kf5pimcommon_devel
%_kf5_includedir/pimcommon
%_kf5_includedir/PimCommon
%_kf5_includedir/pimcommon_version.h
%_kf5_libdir/libKF5PimCommon.so
%_kf5_libdir/cmake/KF5PimCommon
%_qt5_prefix/mkspecs/modules/qt_PimCommon.pri
%_qt5_plugindir/designer/pimcommonwidgets.so

#--------------------------------------------------------------------

%prep
%setup -q
%autopatch -p1

%build
%cmake_kf5
%make_build

%install
%make_install -C build

%find_lang --all %{name}5



%changelog
* Wed Mar 08 2017 neoclust <neoclust> 2:16.12.3-1.mga6
+ Revision: 1090169
- New version 16.12.3
- New version 16.12.2
- New version 16.12.1

* Sat Dec 24 2016 neoclust <neoclust> 2:16.12.0-1.mga6
+ Revision: 1076911
- New version 16.12.0

* Fri Dec 09 2016 neoclust <neoclust> 2:16.11.90-1.mga6
+ Revision: 1073762
- New version 16.11.90

* Tue Nov 15 2016 neoclust <neoclust> 2:16.08.3-1.mga6
+ Revision: 1067421
- New version 16.08.3

* Mon Oct 17 2016 neoclust <neoclust> 2:16.08.2-1.mga6
+ Revision: 1061485
- New version 16.08.2

* Fri Sep 23 2016 neoclust <neoclust> 2:16.08.1-2.mga6
+ Revision: 1055466
- Do not build on armv5tl

* Tue Sep 13 2016 neoclust <neoclust> 2:16.08.1-1.mga6
+ Revision: 1051946
- New version 16.08.1

* Wed Aug 24 2016 daviddavid <daviddavid> 2:16.08.0-3.mga6
+ Revision: 1048094
- do not required kdepim-addons because of circular dependencies

* Mon Aug 22 2016 daviddavid <daviddavid> 2:16.08.0-2.mga6
+ Revision: 1047846
- do not versioned required kdepim-addons

* Mon Aug 22 2016 neoclust <neoclust> 2:16.08.0-1.mga6
+ Revision: 1047841
- New version 16.08.0

* Sun Jul 24 2016 daviddavid <daviddavid> 2:16.04.3-2.mga6
+ Revision: 1043506
- add kdepim-addons as a Requires (fixes mga#18650)

* Sat Jul 09 2016 neoclust <neoclust> 2:16.04.3-1.mga6
+ Revision: 1040152
- New version 16.04.3
- New version 16.04.2

* Wed May 11 2016 neoclust <neoclust> 2:16.04.1-1.mga6
+ Revision: 1012642
- New version 16.04.1

* Thu May 05 2016 neoclust <neoclust> 2:16.04.0-2.mga6
+ Revision: 1009598
- Add epoch to ease upgrade

* Mon Apr 25 2016 neoclust <neoclust> 16.04.0-1.mga6
+ Revision: 1005979
- New version 16.04.0

* Mon Apr 18 2016 neoclust <neoclust> 16.03.80-3.mga6
+ Revision: 1003372
- Fix package name

* Wed Mar 30 2016 neoclust <neoclust> 16.03.80-2.mga6
+ Revision: 996845
- Add Require on main package in lib
- imported package pimcommon

